> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an ACS User

> Updates the properties of a specified [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management).



## OpenAPI

````yaml /openapi.json post /acs/users/update
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/update:
    post:
      tags:
        - /acs
      summary: Update an ACS User
      description: >-
        Updates the properties of a specified [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management).
      operationId: acsUsersUpdatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                access_schedule:
                  description: >-
                    `starts_at` and `ends_at` timestamps for the access system
                    user's access. If you specify an `access_schedule`, you may
                    include both `starts_at` and `ends_at`. If you omit
                    `starts_at`, it defaults to the current time. `ends_at` is
                    optional and must be a time in the future and after
                    `starts_at`.
                  nullable: true
                  properties:
                    ends_at:
                      description: Ending timestamp for the access system user's access.
                      format: date-time
                      type: string
                    starts_at:
                      description: Starting timestamp for the access system user's access.
                      format: date-time
                      type: string
                  required:
                    - starts_at
                    - ends_at
                  type: object
                acs_system_id:
                  description: >-
                    ID of the access system that you want to update. You can
                    only provide acs_system_id with user_identity_id.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to update. You
                    can only provide acs_user_id or user_identity_id.
                  format: uuid
                  type: string
                email:
                  deprecated: true
                  format: email
                  type: string
                  x-deprecated: use email_address.
                email_address:
                  description: >-
                    Email address of the [access system
                    user](https://docs.seam.co/low-level-apis/access-systems/user-management).
                  format: email
                  type: string
                full_name:
                  description: >-
                    Full name of the [access system
                    user](https://docs.seam.co/low-level-apis/access-systems/user-management).
                  minLength: 1
                  type: string
                hid_acs_system_id:
                  format: uuid
                  type: string
                phone_number:
                  description: >-
                    Phone number of the [access system
                    user](https://docs.seam.co/low-level-apis/access-systems/user-management)
                    in E.164 format (for example, `+15555550100`).
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity that you want to update. You can
                    only provide acs_user_id or user_identity_id. If you provide
                    user_identity_id, you must also provide acs_system_id.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.update({
              acs_user_id: "5db87499-0b3b-4750-a2e8-341b2af64049",
              user_identity_id: "b0bbb463-4fad-4b21-a695-952463ea6e93",
              acs_system_id: "88ae7b8b-c406-414b-a745-91d9cea661f7",
              access_schedule: {
                starts_at: "2025-06-10T15:00:00.000Z",
                ends_at: "2025-06-12T11:00:00.000Z",
              },
              full_name: "Jane Doe",
              email: "jane@example.com",
              phone_number: "+15551234567",
              email_address: "jane@example.com",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/update" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_user_id": "5db87499-0b3b-4750-a2e8-341b2af64049",
              "user_identity_id": "b0bbb463-4fad-4b21-a695-952463ea6e93",
              "acs_system_id": "88ae7b8b-c406-414b-a745-91d9cea661f7",
              "access_schedule": {
                "starts_at": "2025-06-10T15:00:00.000Z",
                "ends_at": "2025-06-12T11:00:00.000Z"
              },
              "full_name": "Jane Doe",
              "email": "jane@example.com",
              "phone_number": "+15551234567",
              "email_address": "jane@example.com"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.update(
                acs_user_id="5db87499-0b3b-4750-a2e8-341b2af64049",
                user_identity_id="b0bbb463-4fad-4b21-a695-952463ea6e93",
                acs_system_id="88ae7b8b-c406-414b-a745-91d9cea661f7",
                access_schedule={
                    "starts_at": "2025-06-10T15:00:00.000Z",
                    "ends_at": "2025-06-12T11:00:00.000Z",
                },
                full_name="Jane Doe",
                email="jane@example.com",
                phone_number="+15551234567",
                email_address="jane@example.com",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.update(
              acs_user_id: "5db87499-0b3b-4750-a2e8-341b2af64049",
              user_identity_id: "b0bbb463-4fad-4b21-a695-952463ea6e93",
              acs_system_id: "88ae7b8b-c406-414b-a745-91d9cea661f7",
              access_schedule: {
                starts_at: "2025-06-10T15:00:00.000Z",
                ends_at: "2025-06-12T11:00:00.000Z",
              },
              full_name: "Jane Doe",
              email: "jane@example.com",
              phone_number: "+15551234567",
              email_address: "jane@example.com",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->update(
                acs_user_id: "5db87499-0b3b-4750-a2e8-341b2af64049",
                user_identity_id: "b0bbb463-4fad-4b21-a695-952463ea6e93",
                acs_system_id: "88ae7b8b-c406-414b-a745-91d9cea661f7",
                access_schedule: [
                    "starts_at" => "2025-06-10T15:00:00.000Z",
                    "ends_at" => "2025-06-12T11:00:00.000Z",
                ],
                full_name: "Jane Doe",
                email: "jane@example.com",
                phone_number: "+15551234567",
                email_address: "jane@example.com",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users update --acs_user_id
            "5db87499-0b3b-4750-a2e8-341b2af64049" --user_identity_id
            "b0bbb463-4fad-4b21-a695-952463ea6e93" --acs_system_id
            "88ae7b8b-c406-414b-a745-91d9cea661f7" --access_schedule
            {"starts_at":"2025-06-10T15:00:00.000Z","ends_at":"2025-06-12T11:00:00.000Z"}
            --full_name "Jane Doe" --email "jane@example.com" --phone_number
            "+15551234567" --email_address "jane@example.com"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````